Get Price Trigger
curl --request GET \
--url https://app.digitalsurge.com.au/api/private/broker/price-triggers/{id}/ \
--header 'Authorization: Bearer <token>'import requests
url = "https://app.digitalsurge.com.au/api/private/broker/price-triggers/{id}/"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.digitalsurge.com.au/api/private/broker/price-triggers/{id}/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"id": 123,
"asset": "<string>",
"asset_name": "<string>",
"in_discovery_zone": true,
"created": "2023-11-07T05:31:56Z",
"price": "<string>",
"match": 1,
"paused": true,
"last_trigger": "2023-11-07T05:31:56Z",
"order_side": "<string>",
"enabled": true,
"notify_sms": true,
"notify_email": true,
"order_direction": 10,
"order_quantity": "<string>",
"order_get_quantity": "<string>",
"events": [
{
"fired": "2023-11-07T05:31:56Z",
"price": "<string>",
"matched": 1,
"trade": "<string>",
"failure_reason": "<string>",
"seen": true
}
]
}Private
Get Price Trigger
Price alerts that watch an asset and optionally place a trade when the price is hit.
Create an alert to be notified by email or SMS when an asset crosses a target price, and optionally have it place a market order automatically.
GET
/
api
/
private
/
broker
/
price-triggers
/
{id}
/
Get Price Trigger
curl --request GET \
--url https://app.digitalsurge.com.au/api/private/broker/price-triggers/{id}/ \
--header 'Authorization: Bearer <token>'import requests
url = "https://app.digitalsurge.com.au/api/private/broker/price-triggers/{id}/"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.digitalsurge.com.au/api/private/broker/price-triggers/{id}/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"id": 123,
"asset": "<string>",
"asset_name": "<string>",
"in_discovery_zone": true,
"created": "2023-11-07T05:31:56Z",
"price": "<string>",
"match": 1,
"paused": true,
"last_trigger": "2023-11-07T05:31:56Z",
"order_side": "<string>",
"enabled": true,
"notify_sms": true,
"notify_email": true,
"order_direction": 10,
"order_quantity": "<string>",
"order_get_quantity": "<string>",
"events": [
{
"fired": "2023-11-07T05:31:56Z",
"price": "<string>",
"matched": 1,
"trade": "<string>",
"failure_reason": "<string>",
"seen": true
}
]
}Authorizations
Response
200 - application/json
A price trigger: fires an alert — and optionally a buy or sell — when an asset crosses a target price.